/*
 * Character.h
 *
 *  Created on: 24/mar/2014
 *      Author: studente
 */

#ifndef CHARACTER_H_
#define CHARACTER_H_

#include <string>

#include "Weapon.h"

class Character {
public:
	Character(int hp, int l, int a=1, int x=0, int y=0);
	explicit Character(std::string n, int hp=10, int l=1);
	void move(int x, int y);
	int fight(Character& enemy);

	int getArmor() const;
	void setArmor(int armor);
	int getHp() const;
	void setHp(int hp);
	int getLevel() const;
	void setLevel(int level);
	const std::string& getName() const;
	void setName(const std::string& name);
	const Weapon* getWeapon() const;
	void setWeapon(Weapon* weapon);

private:
	int hp;
	int posX, posY;
	int level;
	int armor;
	std::string name;
	Weapon* weapon;
};



#endif /* CHARACTER_H_ */
